import { Provider } from '@angular/core';
import { StorageOptions } from './base-storage.service';
/**
 * Makes the  LocalStorage and SessionStorage objects available throught the application. Should be
 * added to the RootModule imports list.
 */
export declare class WebStorageModule {
    static forRoot(): {
        ngModule: typeof WebStorageModule;
        providers: Provider[];
    };
}
/**
 * Creates a provider for the StorageOptions
 * @param options - A {@link StorageOptions} object
 */
export declare function ConfigureStorage(options: StorageOptions): Provider;
