import { InjectionToken, NgZone } from '@angular/core';
import { BaseStorageService, StorageOptions } from './base-storage.service';
/**
 * Token used to inject an object as the storage backend of the SessionStorage object. By default, the storage
 * backend is the native localStorage object but can be substituted to allow for testing or customized storage
 * like to remote storage.
 */
export declare let LOCAL_STORAGE_OBJECT: InjectionToken<{}>;
/**
 * Represents the native {@link https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage localStorage} object.
 * Can be injected into a component that needs access to localStorage.
 */
export declare class LocalStorageService extends BaseStorageService {
    constructor(ngZone: NgZone, storage: any, transformer: JSON, options?: StorageOptions);
}
